=== modified file 'classes/readers/dbreader.php'
--- classes/readers/dbreader.php	2008-10-14 22:13:15 +0000
+++ classes/readers/dbreader.php	2008-10-23 18:14:19 +0000
@@ -366,7 +366,7 @@
 	usleep($this->emit_delays);
     }
     $res = $this->db->Query($this->db->SelectRequest($grp->table, array($this->columns['time']), array(
-	"condition" => "\"" . $this->columns['time'] . "\" BETWEEN '" . $this->ImportUnixTime($from) . "' and '" . $this->ImportUnixTime($to) . '\'',
+	"condition" => "{$this->db->col_quote}" . $this->columns['time'] . "{$this->db->col_quote} BETWEEN '" . $this->ImportUnixTime($from) . "' and '" . $this->ImportUnixTime($to) . '\'',
 	"limit" => 1)), DATABASE::FETCH_NUM);
     if ($res->fetch(PDO::FETCH_NUM)) return true;
     return false;

=== modified file 'config.override.php'
--- config.override.php	2008-07-17 14:57:10 +0000
+++ config.override.php	2008-10-23 18:14:19 +0000
@@ -18,4 +18,9 @@
     ));
 
 }
+
+if (is_array($READER_DB['asec'])) {
+    $READER_DB['asec']['host'] = "csa.aragats.am";
+}
+
 ?>
\ No newline at end of file

=== modified file 'setups/asec/config.php'
--- setups/asec/config.php	2008-10-15 23:16:55 +0000
+++ setups/asec/config.php	2008-10-23 18:14:19 +0000
@@ -8,7 +8,7 @@
 	    "title" => _("ASEC"),
 	    "reader" => "DVINReader",
 	    "driver" => "mysql",
-	    "host" => "csa.aragats.am",
+	    "host" => "localhost",
 	    "port" => 0,
 	    "user" => "asec",
 	    "password" => 'asecpw',
@@ -41,7 +41,8 @@
 //	    "time_options" => -36000000000,			// correction
 	    "timesort" => 1,					// 0 - NATURAL, 1 - ASC, -1 - DESC, string whith request
 //	    "date_limit" => "1970-01-01 00:00:00",		//GMT
-	    "min_resolution" => 43200,
+	    "min_resolution" => 600,
+	    "maximal_allowed_gap" => 120,
 	    "ignore_subseconds" => true,
 	    "optimize_empty_cache" => true,
 	    "use_cache_timewindow" => true,

